org.apache.lucene.codecs.lucene40

## Class Lucene40RWPostingsFormat

- java.lang.Object
- - org.apache.lucene.codecs.PostingsFormat
  - - org.apache.lucene.codecs.lucene40.Lucene40PostingsFormat
    - - org.apache.lucene.codecs.lucene40.Lucene40RWPostingsFormat

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class Lucene40RWPostingsFormat
    extends Lucene40PostingsFormat

Read-write version of `Lucene40PostingsFormat` for testing.

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.lucene40.Lucene40PostingsFormat

`maxBlockSize, minBlockSize`

### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`Lucene40RWPostingsFormat()`

### Method Summary

Methods
`FieldsConsumer` `fieldsConsumer(SegmentWriteState state)`

### Methods inherited from class org.apache.lucene.codecs.lucene40.Lucene40PostingsFormat

`fieldsProducer, toString`

### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

`availablePostingsFormats, forName, getName, reloadPostingsFormats`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Lucene40RWPostingsFormat

    public Lucene40RWPostingsFormat()

### Method Detail

#### fieldsConsumer

    public FieldsConsumer fieldsConsumer(SegmentWriteState state)
                                  throws IOException

Overrides:
  `fieldsConsumer` in class `Lucene40PostingsFormat`
Throws:
  `IOException`